%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gnome-usage
Version:	3.38.1
Release:	%mkrel 2
Summary:	A GNOME app to view information about use of system resources
Group:		Graphical desktop/GNOME
License:	GPLv3+
URL:		https://wiki.gnome.org/Apps/Usage
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	gettext
BuildRequires:	meson
BuildRequires:	vala
BuildRequires:	yelp-tools
BuildRequires:	pkgconfig(libdazzle-1.0)
BuildRequires:	pkgconfig(libgtop-2.0) >= 2.37.2
BuildRequires:	pkgconfig(libhandy-1)
BuildRequires:	pkgconfig(accountsservice)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(tracker-sparql-3.0)

%description
gnome-usage lets you easily visualize the use of system resources such as
CPU, memory, and storage.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%license LICENSE
%doc AUTHORS README.md NEWS
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Usage.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Usage.gschema.xml
%{_iconsdir}/hicolor/*/apps/org.gnome.Usage.svg
%{_metainfodir}/org.gnome.Usage.appdata.xml


%changelog
* Wed Mar 30 2022 umeabot <umeabot> 3.38.1-2.mga9
+ Revision: 1835503
- Mageia 9 Mass Rebuild

* Fri Mar 19 2021 ovitters <ovitters> 3.38.1-1.mga9
+ Revision: 1704781
- new version 3.38.1

* Sun Sep 13 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1625616
- new version 3.38.0

* Fri Aug 07 2020 ovitters <ovitters> 3.37.1-1.mga8
+ Revision: 1611897
- new version 3.37.1

* Sat Feb 15 2020 umeabot <umeabot> 3.33.2-2.mga8
+ Revision: 1528361
- Mageia 8 Mass Rebuild

* Mon Aug 19 2019 tv <tv> 3.33.2-1.mga8
+ Revision: 1430202
- new release

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392524
- Rebuild with meson 0.50.1

* Fri Mar 22 2019 daviddavid <daviddavid> 3.32.0-1.mga7
+ Revision: 1379587
- new version 3.32.0

* Tue Sep 25 2018 daviddavid <daviddavid> 3.30.0-1.mga7
+ Revision: 1304923
- initial package gnome-usage

